Create a Report for a Single Appraisal or an Entire Claim
curl --request POST \
--url https://api.valuechecker.net/client_reference/{client_reference_id}/report/pdf \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"language": "en",
"client_id": 10,
"appraisal_ids": [
715628,
715629
]
}
'import requests
url = "https://api.valuechecker.net/client_reference/{client_reference_id}/report/pdf"
payload = {
"language": "en",
"client_id": 10,
"appraisal_ids": [715628, 715629]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({language: 'en', client_id: 10, appraisal_ids: [715628, 715629]})
};
fetch('https://api.valuechecker.net/client_reference/{client_reference_id}/report/pdf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"https://files.valuechecker.net/reports/ValueChecker Claim Report - james bond - 2023-7-26 1583693-11.pdf"{
"error": "Invalid Authorization header",
"event_code": "ERIT00",
"event_dict": {
"event_severity": "ERROR",
"title": "Invalid Authorization header",
"description": "Please provide the right authorization token"
}
}{
"error": "Client reference 14418 was not found",
"event_code": "ERNF00",
"event_dict": {
"event_severity": "ERROR",
"title": "Wrong 'client_reference_id' value",
"description": "The client_reference_id '14418' was not found"
}
}Endpoint Examples
Create a Report for a Single Appraisal or an Entire Claim
POST
/
client_reference
/
{client_reference_id}
/
report
/
pdf
Create a Report for a Single Appraisal or an Entire Claim
Authorizations
Note! Prefix your with apiKey. Note the space after "apiKey ".
Path Parameters
The client reference identifier.
Body
application/json
The client ID for the request. It's required if you have access to multiple clients with your API key. Otherwise, it's optional.
Optional session identifier of the user.
Optional list of appraisal_ids. If its not provided, Report will be generated for all appraisals in the claim. If provided, Report will be generated only for the provided appraisal_ids.
Response
OK
The response is of type string.
⌘I